<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_AreaInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/basicinfo/Dt_needBarcode.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'areaID',
            footer: "Foots",
            cnName: '在途数据',
            name: 'basicinfo/dt_needBarcode',
            url: "/dt_needBarcode/",
            sortName: "AreaCode"
        });
        const editFormFields = ref({
            // "toArea": "",
            // "fromArea": "",
            // "barcodeType": "",
            "productLine": "",
            "inLineNum": "",
            "cacheNum":""
        });
        const editFormOptions = ref([
            // [
            //     { "title": "目标库区", "field": "toArea", type: "text" },
            //     { "title": "来源库区", "field": "fromArea", type: "text" },
            //     { "title": "托盘类型", "field": "barcodeType", type: "text" },
            // ],
            [
                { "title": "所属产线", "field": "productLine", type: "text" },
                { "title": "在途数量", "field": "inLineNum", type: "text" },
                { "title": "可缓存数量", "field": "cacheNum", type: "text" },
            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            // [
            //     { "title": "目标库区", "field": "toArea", type: "text" },
            //     { "title": "来源库区", "field": "fromArea", type: "text" },
            //     { "title": "托盘类型", "field": "barcodeType", type: "text" },
            // ],
            [
                { "title": "所属产线", "field": "productLine", type: "text" },
                { "title": "在途数量", "field": "inLineNum", type: "text" },
                { "title": "可缓存数量", "field": "cacheNum", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'ID', title: '主键', type: 'int', sort: true, hidden: true, width: 110, readonly: true, require: true, align: 'left' },
        //{ field: 'toArea', title: '目标库区', type: 'string', sort: true, width: 110, require: true, align: 'left', sort: true },
        //{ field: 'fromArea', title: '来源库区', type: 'string', sort: true, width: 110, align: 'left' },
        //{ field: 'barcodeType', title: '托盘类型', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'productLine', title: '所属产线', type: 'string', sort: true, width: 110, align: 'left',},
        { field: 'inLineNum', title: '在途数量', type: 'int', sort: true, width: 110, align: 'left' },
        { field: 'cacheNum', title: '可缓存数量', type: 'int', sort: true, width: 100,  align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100,  align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150,  align: 'left', sort: true },
        ]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
